Browse Source

Complete the fix for #798774 ("Install the module load helper to etc/modules-load.d/")

Christoph Biedl 7 years ago
parent
commit
eb6aa5e483
2 changed files with 18 additions and 0 deletions
  1. 6 0
      debian/pptpd.postinst
  2. 12 0
      debian/pptpd.postrm

+ 6 - 0
debian/pptpd.postinst

@@ -2,6 +2,12 @@
 
 set -e
 
+dpkg-maintscript-helper mv_conffile \
+    /etc/modprobe.d/pptpd.conf \
+    /etc/modules-load.d/pptpd.conf \
+    1.4.0-9~ \
+    -- "$@"
+
 case "$1" in
 configure)
     # load the module configured in /etc/modules-load.d/pptpd.conf

+ 12 - 0
debian/pptpd.postrm

@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper mv_conffile \
+    /etc/modprobe.d/pptpd.conf \
+    /etc/modules-load.d/pptpd.conf \
+    1.4.0-9~ \
+    -- "$@"
+
+#DEBHELPER#
+exit 0